Bug 10230 - (lib)smbclient fails with NetApp
(lib)smbclient fails with NetApp
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 09:10 UTC by Gregor Beck (550 Unknown user)
Modified: 2014-04-07 08:07 UTC (History)
2 users (show)

See Also:


Attachments
patch for master (14.53 KB, patch)
2013-10-28 09:21 UTC, Gregor Beck (550 Unknown user)
no flags Details
patch for master (14.86 KB, patch)
2013-10-28 09:48 UTC, Gregor Beck (550 Unknown user)
no flags Details
git-am fix that went into master. (15.74 KB, patch)
2013-10-31 21:56 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Beck (550 Unknown user) 2013-10-28 09:10:34 UTC
NetApp may send broken packages in respons to trans2_query_path_info calls with info level SMB_QUERY_FILE_ALL_INFO as reported in bug #8914.
Comment 1 Gregor Beck (550 Unknown user) 2013-10-28 09:21:01 UTC
Created attachment 9334 [details]
patch for master
Comment 2 Gregor Beck (550 Unknown user) 2013-10-28 09:24:59 UTC
(In reply to comment #1)
> Created attachment 9334 [details]
> patch for master

Windows XP uses info level SMB_QUERY_FILE_BASIC_INFO
 and SMB_QUERY_FILE_STANDARD_INFO which yield the same information except for the not used and wrongly interpreted EA_INFO.
The patch implements a fallback using level basic and standard info if the trans2_query_path_info with all info fails.
Comment 3 Gregor Beck (550 Unknown user) 2013-10-28 09:48:18 UTC
Created attachment 9335 [details]
patch for master

catches by metze
* qpathinfo3 failed to set size
* remove a comment
* add Signed-off-by
Comment 4 Jeremy Allison 2013-10-31 21:56:29 UTC
Created attachment 9355 [details]
git-am fix that went into master.

Applies cleanly for 4.1.next.
Comment 5 Björn Jacke 2013-11-06 10:19:01 UTC
Comment on attachment 9355 [details]
git-am fix that went into master.

I would like to review/test this but I don't have such a machine, not even the Ontap emulator to test this.
Comment 6 Karolin Seeger 2014-04-04 19:04:16 UTC
Pushed to autobuild-v4-1-test.
Comment 7 Karolin Seeger 2014-04-07 08:07:58 UTC
(In reply to comment #6)
> Pushed to autobuild-v4-1-test.

Pushed to v4-1-test.
Closing out bug report.

Thanks!